Subject: bug#24930: Parted fails after reordering of partitions with fdisk

From: "Hans Peter Würmli" <[email-masked]>
Date: Sat, 12 Nov 2016 10:55:09 +0100

My system is Debian testing and kernel version "Linux version 4.7.0-1-
amd64 ([email-masked]) (gcc version 5.4.1 20160904
(Debian 5.4.1-2) ) #1 SMP Debian 4.7.8-1 (2016-10-19)". 

GNU Parted has version 3.2.

I reordered partitions to their natural order using fdisk. After
rebooting and using gparted (or parted) I get an error with
message "Assertion (metadata_length > 0) at
../../../libparted/labels/dos.c:2313 in function
add_logical_part_metadata() failed".

"partprobe /dev/sda" tells me that "A bug has been detected in GNU
Parted...Please email a bug report to [email-masked]", which I am
dutifully doing.

Kind regards

Hans Peter